from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XEnhancedMouseClickBroadcaster(XInterface, Protocol):
    def addEnhancedMouseClickHandler(self, aListener: XEnhancedMouseClickHandler) -> None: ...
    def removeEnhancedMouseClickHandler(self, aListener: XEnhancedMouseClickHandler) -> None: ...
